graaff      14/04/19 07:35:34

  Modified:             samuel-0.3.3-r1.ebuild ChangeLog
  Log:
  Add ruby21. Update mocha to work with all ruby targets.
  
  (Portage version: 2.2.8-r1/cvs/Linux x86_64, signed Manifest commit with key 
0x8883FA56A308A8D7!)

Revision  Changes    Path
1.3                  dev-ruby/samuel/samuel-0.3.3-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/samuel/samuel-0.3.3-r1.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/samuel/samuel-0.3.3-r1.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/samuel/samuel-0.3.3-r1.ebuild?r1=1.2&r2=1.3

Index: samuel-0.3.3-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/samuel/samuel-0.3.3-r1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- samuel-0.3.3-r1.ebuild      22 Dec 2013 19:16:32 -0000      1.2
+++ samuel-0.3.3-r1.ebuild      19 Apr 2014 07:35:34 -0000      1.3
@@ -1,10 +1,10 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/samuel/samuel-0.3.3-r1.ebuild,v 
1.2 2013/12/22 19:16:32 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/samuel/samuel-0.3.3-r1.ebuild,v 
1.3 2014/04/19 07:35:34 graaff Exp $
 
 EAPI=5
 
-USE_RUBY="ruby18 ruby19 ruby20 jruby"
+USE_RUBY="ruby19 ruby20 ruby21 jruby"
 
 RUBY_FAKEGEM_TASK_DOC=""
 
@@ -23,7 +23,8 @@
                >=dev-ruby/shoulda-2.11.3
                >=dev-ruby/fakeweb-1.3
                >=dev-ruby/httpclient-2.2.3
-               dev-ruby/mocha:0.12
+               dev-ruby/mocha:0.13
+               dev-ruby/test-unit:2
        )"
 
 all_ruby_prepare() {
@@ -36,5 +37,8 @@
        sed -i -e 's:8000:64888:g' test/*.rb || die
 
        # Require an old enough version of mocha.
-       sed -i -e '1igem "mocha", "~> 0.12.0"' test/test_helper.rb || die
+       sed -i -e '1igem "mocha", "~> 0.13.0"' test/test_helper.rb || die
+
+       # Use the test-unit gem to make jruby compatible with newer mocha.
+       sed -i -e '1igem "test-unit"' test/test_helper.rb || die
 }



1.20                 dev-ruby/samuel/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/samuel/ChangeLog?rev=1.20&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/samuel/ChangeLog?rev=1.20&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-ruby/samuel/ChangeLog?r1=1.19&r2=1.20

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-ruby/samuel/ChangeLog,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -r1.19 -r1.20
--- ChangeLog   22 Dec 2013 19:16:32 -0000      1.19
+++ ChangeLog   19 Apr 2014 07:35:34 -0000      1.20
@@ -1,6 +1,9 @@
 # ChangeLog for dev-ruby/samuel
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-ruby/samuel/ChangeLog,v 1.19 2013/12/22 
19:16:32 blueness Exp $
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/dev-ruby/samuel/ChangeLog,v 1.20 2014/04/19 
07:35:34 graaff Exp $
+
+  19 Apr 2014; Hans de Graaff <[email protected]> samuel-0.3.3-r1.ebuild:
+  Add ruby21. Update mocha to work with all ruby targets.
 
   22 Dec 2013; Anthony G. Basile <[email protected]> samuel-0.3.3-r1.ebuild:
   Fix failed gpg signiture




Reply via email to